#!/bin/sh
set -e

# Multiboot Menu (devkitARM edition) build script
# Copyright 2020 Damian Yerrick
# Insert GNU All-Permissive License here

DKACC=$DEVKITARM/bin/arm-none-eabi-gcc
DKAOCP=$DEVKITARM/bin/arm-none-eabi-objcopy
DKAFIX=$DEVKITPRO/tools/bin/gbafix
DKABIN2S=$DEVKITPRO/tools/bin/bin2s
DKAPADBIN=$DEVKITPRO/tools/bin/padbin
GBFS=$DEVKITPRO/tools/bin/gbfs

echo converting graphics
mkdir -p build
$DKABIN2S tilesets/text.chr > build/text.chr.s

echo compiling
$DKACC -Wall -Wextra -Os -mthumb -mthumb-interwork -specs=gba.specs -o build/1.elf \
  src/mbmenu.c src/libgbfs.c build/text.chr.s
$DKAOCP -O binary build/1.elf 1.bin
$DKAFIX "-tMULTIBOOTMNU" -mHB 1.bin
$DKAPADBIN 256 1.bin

#echo building sample collection
#$GBFS roms-sample.gbfs ../240p-test-mini/gba/240pee_mb.gba '../mf/theirs/Magic Floor (GBAMP Fix).gba' ../gsmplayer/allnewgsm.gba
#cat 1.bin roms-sample.gbfs > mbmenu-sample.gba
